%define name	lopster
%define title	Lopster
%define version	0.9.8
%define release	2mdk
%define summary	A Napster clone for linux written in gtk
%define group	Networking/File transfer
%define section	%group

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{summary}
License:	GPL
Group:		%{group}
Source:		http://lopster.sourceforge.net/download/%{name}-%{version}.tar.bz2
URL:		http://lopster.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Lopster is a Napster client for Linux/Unix written in C and based on GTK.  It's
features include:

- Up-/download support 
	Firewalled up-/download support 
	DCC file transfer support 
	Bandwidth limitation of transfers 
	Ability to suspend+resume downloads 
	Resume and autoresume support 
- Search support (with advanced opennap features)
- Hotlist support
	Notification when hotlist users are on
- Browse support 
- Filesharing support 
	Including generic media files 
	Tree view of library 
- Chat support
- Generic features:
	autoconnect to server and channels
	autoreconnect on disconnect 
	logfiles for public, private and server messages and transfers 
	supports almost all admin commands 
	support of all additional opennap commands 
	TAB completion of commands and users


%prep
%setup -q

%build
%configure
%make

%install
%makeinstall

%{find_lang} %{name}

# Menu
mkdir -p ${RPM_BUILD_ROOT}%{_menudir}

cat - << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{_bindir}/%{name}" \
needs="X11" section="%{section}" title="%{title}" \
longtitle="%{summary}"
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README 
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_menudir}/%{name}

%changelog
* Mon Mar 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-2mdk
- updated by  Alexander Skwar <ASkwar@linux-mandrake.com> :
	- A "little" bit more verbose description
	- Menu support (no icons, though :-()

* Sat Mar 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.9.8-1mdk
- first Mandrake release, based on src rpm from Alex Duggan <aldug@openup.com>
